rooms.push({
	id: "mining-outpost-shop",
	name: "Metal Merchant Shop",
	description: "A plush chair filled to overflowing with a sleezy merchant, gesturing to a clearly non-zeroed scale.",
	play: "mining-outpost-shop",
	actions: [
		'buy-battery',
		'buy-fuel',
		'recharge-battery',
		'buy-solar-array',
		'buy-ramjet',
		'buy-ion-engine',
	],
	doors: [
		{
			id: "mining-outpost",
			button: "Docking Bay",
			action: "Travelling",
			requires: () => true,
			run: () => { userData.position = "mining-outpost"; },
			duration: 300
		},
	],
	viewable: [
		{elementId: 'actions', data: {}},
		{elementId: 'doors', data: {}},
		{elementId: 'get-from-inventory', data: { action: "sell", button: "Sell Items", validator: (item) => {
			return !!marketMap.find(market => market.type == item.type);
		}}},
		{elementId: 'room-description', data: {}},
	],
});