rooms.push({
	id: "mining-outpost",
	name: "Docked at Station",
	description: "A sweaty, crouded metal space station filled with unwashed asteroid miners and sleezy metal merchants.",
	play: "mining-outpost",
	actions: [
	],
	doors: [
		{
			id: "nearby-outpost",
			button: "Launch",
			action: "Launching",
			requires: () => true,
			start: () => {
				receiveMessage({name:"[Station Tower]", id:-1, style: "station"}, userData.name + " has launch approval.");
				play('launch-from-station');
			},
			run: () => { userData.position = "nearby-outpost"; },
			duration: 2000
		},
		{
			id: "mining-outpost-shop",
			button: "Shop",
			action: "Travelling",
			requires: () => true,
			run: () => {
				userData.position = "mining-outpost-shop";
			},
			duration: 300
		},
	],
	viewable: [
		{elementId: 'actions', data: {}},
		{elementId: 'doors', data: {}},
		{elementId: 'get-from-inventory', data: { action: "refine", button: "Refine Materials", validator: (item) => {
			return !!refineMap.find(refine => refine.input == item.type);
		}}},
		{elementId: 'room-description', data: {}},
	],
});