stages.push({
	id: "begin-pickup",
	setup: () => {
		getSet('starfield').setup();
		starMotion.velocity.x = 0.05;
		starMotion.velocity.y = 0.05;
		getSet('begin-pickup-cargo').setup();
	},
	update: (delta) => {
		getSet('starfield').update(delta);
		getSet('begin-pickup-cargo').update(delta);
	},
	draw: (context, delta) => {
		getSet('starfield').draw(context, delta);
		getSet('begin-pickup-cargo').draw(context, delta);

		atlas.drawCentered(context, userData.sprite, { x: 0, y: 0 });
	},
	cleanup: () => {

	},
});