rooms.push({
	id: "begin-pickup-travel",
	name: "Sector 12",
	description: "A seemingly-endless black void, far enough away from any territories to be detected.",
	play: "empty-space",
	actions: [],
	doors: [
        {
			id: "nearby-outpost", button: "Travel to Station", action: "Traveling", requires: () => true,
			start: () => { play('travel-left') },
			run: () => {
				userData.fuel--;
				userData.position = "begin-pickup-nearby";
			}, duration: 4000
		}
    ],
	viewable: [
		{elementId: 'doors', data: {}},
		{elementId: 'put-in-inventory', data: { button: "Pickup Cargo", source: () => []}},
		{elementId: 'room-description', data: {}},
	],
	enter: () => {
		if(isFlagEnabled('begin-cargo-aboard')) {
			receiveMessage({name: "[mysterious signal]", id: -1, style: "dark"}, "Now that you've got the cargo aboard, head to the nearby outpost.");
		}
	}
});

